#include "Element.h"

using namespace graphic;

//  constructor
Element::Element(int r, int c, Statsmap stats) : IsoObject(r, c)
{
	// Copy map to map
	_stats = stats;
}

// Full constructor
Element::Element(int r, int c, std::vector < Image * > views, Statsmap stats) : IsoObject(r, c)
{
	// store views
	_views = views;

	// set default view
	_img = _views[SOUTH];

	// Copy map to map
	_stats = stats;

	// default orientation
	_direction = SOUTH;
}

// Destroyer
Element::~Element()
{
	// delete all stats from the map
	for(Statsmap::iterator it = _stats.begin(); it != _stats.end(); it++)
		delete (*it).second;

	_stats.clear();
	_views.clear();
}

